import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { AdMaterial } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-20 17:24
 */
interface AdMaterialCU extends ConditionUtil<AdMaterialCU> {
    ID: FieldUtil<AdMaterialCU>;
    AD_STYLE_ID: FieldUtil<AdMaterialCU>;
    NAME: FieldUtil<AdMaterialCU>;
    STATUS: FieldUtil<AdMaterialCU>;
    CREATE_TIME: FieldUtil<AdMaterialCU>;
    CREATOR: FieldUtil<AdMaterialCU>;
    UPDATE_TIME: FieldUtil<AdMaterialCU>;
    UPDATOR: FieldUtil<AdMaterialCU>;
}
declare class AdMaterialMU extends TableUtilImpl<AdMaterialCU, AdMaterial> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): AdMaterialCU;
    static get ID(): FieldUtil<AdMaterialCU>;
    static get AD_STYLE_ID(): FieldUtil<AdMaterialCU>;
    static get NAME(): FieldUtil<AdMaterialCU>;
    static get STATUS(): FieldUtil<AdMaterialCU>;
    static get CREATE_TIME(): FieldUtil<AdMaterialCU>;
    static get CREATOR(): FieldUtil<AdMaterialCU>;
    static get UPDATE_TIME(): FieldUtil<AdMaterialCU>;
    static get UPDATOR(): FieldUtil<AdMaterialCU>;
    get ID(): FieldUtil<AdMaterialCU>;
    get AD_STYLE_ID(): FieldUtil<AdMaterialCU>;
    get NAME(): FieldUtil<AdMaterialCU>;
    get STATUS(): FieldUtil<AdMaterialCU>;
    get CREATE_TIME(): FieldUtil<AdMaterialCU>;
    get CREATOR(): FieldUtil<AdMaterialCU>;
    get UPDATE_TIME(): FieldUtil<AdMaterialCU>;
    get UPDATOR(): FieldUtil<AdMaterialCU>;
}
export { AdMaterialMU, AdMaterialCU };
